
% FRONTIERS PAPER PC-DN FIGURE 1 panels G and H

% PANEL G (two plots)

% SUMMARY PLOT 1. Plots of the average ms to ms fluctuation of the number of spikes 
% received by a single nuclear cell across a single step cycle, 
% first without (5 ms) integration, then with.

% SUMMARY PLOT 2. Simulates 20 cycles with convegence of 5:1 and derives
% the mean correlation coefficient and std. Repeats for convergence of
% 10:1, 15:1, 20:1 ans so on up to 80:1


% VARIABLES FOR BOTH PLOTS

% Create 120 arrays, each of 200 0s and 1s. 'array()' is a function called by 
% the program. An array simulates spiking of a PC, which either spikes or
% does not spike each ms. 200 ms is about the duration of a step cycle in
% mice (per Sauerbrei et al 2015).

PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array();
PC5 = array(); PC6 = array(); PC7 = array(); PC8 = array();
PC9 = array(); PC10 = array(); PC11 = array(); PC12 = array();
PC13 = array(); PC14 = array(); PC15 = array(); PC16 = array();
PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array();
PC25 = array(); PC26 = array(); PC27 = array(); PC28 = array();
PC29 = array(); PC30 = array(); PC31 = array(); PC32 = array();
PC33 = array(); PC34 = array(); PC35 = array(); PC36 = array();
PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array();
PC45 = array(); PC46 = array(); PC47 = array(); PC48 = array();
PC49 = array(); PC50 = array(); PC51 = array(); PC52 = array();
PC53 = array(); PC54 = array(); PC55 = array(); PC56 = array();
PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array();
PC65 = array(); PC66 = array(); PC67 = array(); PC68 = array();
PC69 = array(); PC70 = array(); PC71 = array(); PC72 = array();
PC73 = array(); PC74 = array(); PC75 = array(); PC76 = array();
PC77 = array(); PC78 = array(); PC79 = array(); PC80 = array();
PC81 = array(); PC82 = array(); PC83 = array(); PC84 = array();
PC85 = array(); PC86 = array(); PC87 = array(); PC88 = array();
PC89 = array(); PC90 = array(); PC91 = array(); PC92 = array();
PC93 = array(); PC94 = array(); PC95 = array(); PC96 = array();
PC97 = array(); PC98 = array(); PC99 = array(); PC100 = array();
PC101 = array(); PC102 = array(); PC103 = array(); PC104 = array();
PC105 = array(); PC106 = array(); PC107 = array(); PC108 = array();
PC109 = array(); PC110 = array(); PC111 = array(); PC112 = array();
PC113 = array(); PC114 = array(); PC115 = array(); PC116 = array();
PC117 = array(); PC118 = array(); PC119 = array(); PC120 = array();

% Create an array of 200 elements whose first element is the sum of the 
% first elements of arrays 1-5, whose second element is the sum of the
% second elements of arrays 1-5, and so on, so that the new array 
% represents the sum of spikes received by a nuclear cell each ms for 200
% ms

total_spks_5PCs = (PC1 + PC2 + PC3 + PC4 + PC5);

% Ditto for arrays 1-10

total_spks_10PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10);

% Ditto for arrays 1-15

total_spks_15PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15);

% Ditto for arrays 1-20

total_spks_20PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20); 

% Ditto for arrays 1-25

total_spks_25PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25);

% Ditto for arrays 1-30

total_spks_30PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30);

% Ditto for arrays 1-35

total_spks_35PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35);

% Ditto for arrays 1-40

total_spks_40PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40);

% Ditto for arrays 1-45

total_spks_45PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45);

% Ditto for arrays 1-50

total_spks_50PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50);

% Ditto for arrays 1-55

total_spks_55PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55);

% Ditto for arrays 1-60

total_spks_60PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60);

% Ditto for arrays 1-65

total_spks_65PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65);

% Ditto for arrays 1-70

total_spks_70PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65 + PC66...
    + PC67 + PC68 + PC69 + PC70);

% Ditto for arrays 1-75

total_spks_75PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65 + PC66...
    + PC67 + PC68 + PC69 + PC70 + PC71 + PC72...
    + PC73 + PC74 + PC75);

% Ditto for arrays 1-80

total_spks_80PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65 + PC66...
    + PC67 + PC68 + PC69 + PC70 + PC71 + PC72...
    + PC73 + PC74 + PC75 + PC76 + PC77 + PC78...
    + PC79 + PC80);

% Ditto for arrays 1-90

total_spks_90PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65 + PC66...
    + PC67 + PC68 + PC69 + PC70 + PC71 + PC72...
    + PC73 + PC74 + PC75 + PC76 + PC77 + PC78...
    + PC79 + PC80 + PC81 + PC82 + PC83 + PC84...
    + PC85 + PC86 + PC87 + PC88 + PC89 + PC90);

% Ditto for arrays 1-100

total_spks_100PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65 + PC66...
    + PC67 + PC68 + PC69 + PC70 + PC71 + PC72...
    + PC73 + PC74 + PC75 + PC76 + PC77 + PC78...
    + PC79 + PC80 + PC81 + PC82 + PC83 + PC84...
    + PC85 + PC86 + PC87 + PC88 + PC89 + PC90...
    + PC91 + PC92 + PC93 + PC94 + PC95 + PC96...
    + PC97 + PC98 + PC99 + PC100);

% Ditto for arrays 1-110

total_spks_110PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65 + PC66...
    + PC67 + PC68 + PC69 + PC70 + PC71 + PC72...
    + PC73 + PC74 + PC75 + PC76 + PC77 + PC78...
    + PC79 + PC80 + PC81 + PC82 + PC83 + PC84...
    + PC85 + PC86 + PC87 + PC88 + PC89 + PC90...
    + PC91 + PC92 + PC93 + PC94 + PC95 + PC96...
    + PC97 + PC98 + PC99 + PC100 + PC101 + PC102...
    + PC103 + PC104 + PC105 + PC106 + PC107 + PC108...
    + PC109 + PC110);

% Ditto for arrays 1-120

total_spks_120PCs = (PC1 + PC2 + PC3 + PC4 + PC5 + PC6...
    + PC7 + PC8 + PC9 + PC10 + PC11 + PC12...
    + PC13 + PC14 + PC15 + PC16 + PC17 + PC18...
    + PC19 + PC20 + PC21 + PC22 + PC23 + PC24...
    + PC25 + PC26 + PC27 + PC28 + PC29 + PC30...
    + PC31 + PC32 + PC33 + PC34 + PC35 + PC36...
    + PC37 + PC38 + PC39 + PC40 + PC41 + PC42...
    + PC43 + PC44 + PC45 + PC46 + PC47 + PC48...
    + PC49 + PC50 + PC51 + PC52 + PC53 + PC54...
    + PC55 + PC56 + PC57 + PC58 + PC59 + PC60...
    + PC61 + PC62 + PC63 + PC64 + PC65 + PC66...
    + PC67 + PC68 + PC69 + PC70 + PC71 + PC72...
    + PC73 + PC74 + PC75 + PC76 + PC77 + PC78...
    + PC79 + PC80 + PC81 + PC82 + PC83 + PC84...
    + PC85 + PC86 + PC87 + PC88 + PC89 + PC90...
    + PC91 + PC92 + PC93 + PC94 + PC95 + PC96...
    + PC97 + PC98 + PC99 + PC100 + PC101 + PC102...
    + PC103 + PC104 + PC105 + PC106 + PC107 + PC108...
    + PC109 + PC110 + PC111 + PC112 + PC113 + PC114...
    + PC115 + PC116 + PC117 + PC118 + PC119 + PC120);


% PLOT 1

% Plot showing the average ms to ms fluctuation of the number of spikes 
% received by a single nuclear cell across a 200 ms step cycle, expressed 
% as a fraction of the maximum range, with convergence of 5:1, 10:1, 15:1 
% and so on up to 80:1, and then 90:1, 100:1, 110:1 and 120:1, without 
% integration. Std is also shown. 

opengl software
figure;

subplot(2,2,1)%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
array1 = [];
stdev1 = [];

A=total_spks_5PCs; %renames array for convenience
A=diff(A); %reassigns A to a new array - each element is the difference between consecutive values of A
A=arrayfun(@(x) diff_5PCs(x),A); %the function 'diff_5PCs()' is applied to each element of A
A(~isfinite(A))=0; %
A=abs(A); % converts any negative values to positive
avA=mean2(A); % returns the average of all elements in A
stdA=std2(A); % returns the std for all elements in A
array1=[array1,avA]; % starts building an array of means (plotted later as a bar graph)
stdev1=[stdev1,stdA]; % starts builing a array of stds

B=total_spks_10PCs;B=diff(B);B=arrayfun(@(x) diff_10PCs(x),B);
B(~isfinite(B))=0;B=abs(B);avB=mean2(B);stdB=std2(B);
array1=[array1,avB];stdev1=[stdev1,stdB];

C=total_spks_15PCs;C=diff(C);C=arrayfun(@(x) diff_15PCs(x),C);
C(~isfinite(C))=0;C=abs(C);avC=mean2(C);stdC=std2(C);
array1=[array1,avC];stdev1=[stdev1,stdC];

D=total_spks_20PCs;D=diff(D);D=arrayfun(@(x) diff_20PCs(x),D);
D(~isfinite(D))=0;D=abs(D);avD=mean2(D);stdD=std2(D);
array1=[array1,avD];stdev1=[stdev1,stdD];

E=total_spks_25PCs;E=diff(E);E=arrayfun(@(x) diff_25PCs(x),E);
E(~isfinite(E))=0;E=abs(E);avE=mean2(E);stdE=std2(E);
array1=[array1,avE];stdev1=[stdev1,stdE];

F=total_spks_30PCs;F=diff(F);F=arrayfun(@(x) diff_30PCs(x),F);
F(~isfinite(F))=0;F=abs(F);avF=mean2(F);stdF=std2(F);
array1=[array1,avF];stdev1=[stdev1,stdF];

G=total_spks_35PCs;G=diff(G);G=arrayfun(@(x) diff_35PCs(x),G);
G(~isfinite(G))=0;G=abs(G);avG=mean2(G);stdG=std2(G);
array1=[array1,avG];stdev1=[stdev1,stdG];

H=total_spks_40PCs;H=diff(H);H=arrayfun(@(x) diff_40PCs(x),H);
H(~isfinite(H))=0;H=abs(H);avH=mean2(H);stdH=std2(H);
array1=[array1,avH];stdev1=[stdev1,stdH];

I=total_spks_45PCs;I=diff(I);I=arrayfun(@(x) diff_45PCs(x),I);
I(~isfinite(I))=0;I=abs(I);avI=mean2(I);stdI=std2(I);
array1=[array1,avI];stdev1=[stdev1,stdI];

J=total_spks_50PCs;J=diff(J);J=arrayfun(@(x) diff_50PCs(x),J);
J(~isfinite(J))=0;J=abs(J);avJ=mean2(J);stdJ=std2(J);
array1=[array1,avJ];stdev1=[stdev1,stdJ];

K=total_spks_55PCs;K=diff(K);K=arrayfun(@(x) diff_55PCs(x),K);
K(~isfinite(K))=0;K=abs(K);avK=mean2(K);stdK=std2(K);
array1=[array1,avK];stdev1=[stdev1,stdK];

L=total_spks_60PCs;L=diff(L);L=arrayfun(@(x) diff_60PCs(x),L);
L(~isfinite(L))=0;L=abs(L);avL=mean2(L);stdL=std2(L);
array1=[array1,avL];stdev1=[stdev1,stdL];

M=total_spks_65PCs;M=diff(M);M=arrayfun(@(x) diff_65PCs(x),M);
M(~isfinite(M))=0;M=abs(M);avM=mean2(M);stdM=std2(M);
array1=[array1,avM];stdev1=[stdev1,stdM];

N=total_spks_70PCs;N=diff(N);N=arrayfun(@(x) diff_70PCs(x),N);
N(~isfinite(N))=0;N=abs(N);avN=mean2(N);stdN=std2(N);
array1=[array1,avN];stdev1=[stdev1,stdN];

O=total_spks_75PCs;O=diff(O);O=arrayfun(@(x) diff_75PCs(x),O);
O(~isfinite(O))=0;O=abs(O);avO=mean2(O);stdO=std2(O);
array1=[array1,avO];stdev1=[stdev1,stdO];

P=total_spks_80PCs;P=diff(P);P=arrayfun(@(x) diff_80PCs(x),P);
P(~isfinite(P))=0;P=abs(P);avP=mean2(P);stdP=std2(P);
array1=[array1,avP];stdev1=[stdev1,stdP];

Q=total_spks_90PCs;Q=diff(Q);Q=arrayfun(@(x) diff_90PCs(x),Q);
Q(~isfinite(Q))=0;Q=abs(Q);avQ=mean2(Q);stdQ=std2(Q);
array1=[array1,avQ];stdev1=[stdev1,stdQ];

R=total_spks_100PCs;R=diff(R);R=arrayfun(@(x) diff_100PCs(x),R);
R(~isfinite(R))=0;R=abs(R);avR=mean2(R);stdR=std2(R);
array1=[array1,avR];stdev1=[stdev1,stdR];

S=total_spks_110PCs;S=diff(S);S=arrayfun(@(x) diff_110PCs(x),S);
S(~isfinite(S))=0;S=abs(S);avS=mean2(S);stdS=std2(S);
array1=[array1,avS];stdev1=[stdev1,stdS];

T=total_spks_120PCs;T=diff(T);T=arrayfun(@(x) diff_120PCs(x),T);
T(~isfinite(T))=0;T=abs(T);avT=mean2(T);stdT=std2(T);
array1=[array1,avT];stdev1=[stdev1,stdT];

i=1:length(array1);
plot(i,array1); title('precision'); xlim([1 20]);
xlabel('convergence ratio x:1'); ylabel('mean jitter (%)');
set(gca, 'XTick', [2 4 6 8 10 12 14 16 18 20])
set(gca, 'XTickLabel', {'10' '20' '30' '40' '50' '60' '70' '80' '100' '120'})
hold on;
% errorbar(array1,stdev1,'k.')
s=patch([i fliplr(i)], [array1-stdev1  fliplr(array1+stdev1)], [0.9  0.9  0.9])
alpha(s,.3)
plot(i,array1,'o','MarkerSize',2.5,'MarkerFaceColor',[.6 .6 .6],'MarkerEdgeColor',[.6 .6 .6])


% PLOT 2

% The same again but the calculations are performed on an array which
% simulates integration. The function 'integration_5ms()' converts an array 
% received as an input argument into a new array whose first element 
% is the average of elements 1-5 of the original array, whose second element 
% is an average of elements 2-6 of the original array, whose third element 
% is an average of elements 3-7 of the original array, and so on. Averaging
% represents the smoothing effect of a rolling integration window.

% subplot(1,2,2)
array1 = [];
stdev1 = [];

total_spks_5PCs = integrate_5ms(total_spks_5PCs);
A=total_spks_5PCs;
A=diff(A);
A=arrayfun(@(x) diff_5PCs(x),A);
A(~isfinite(A))=0;
A=abs(A);
avA=mean2(A);
stdA=std2(A);
array1=[array1,avA];
stdev1=[stdev1,stdA];

total_spks_10PCs = integrate_5ms(total_spks_10PCs);
B=total_spks_10PCs;B=diff(B);B=arrayfun(@(x) diff_10PCs(x),B);
B(~isfinite(B))=0;B=abs(B);avB=mean2(B);stdB=std2(B);
array1=[array1,avB];stdev1=[stdev1,stdB];

total_spks_15PCs = integrate_5ms(total_spks_15PCs);
C=total_spks_15PCs;C=diff(C);C=arrayfun(@(x) diff_15PCs(x),C);
C(~isfinite(C))=0;C=abs(C);avC=mean2(C);stdC=std2(C);
array1=[array1,avC];stdev1=[stdev1,stdC];

total_spks_20PCs = integrate_5ms(total_spks_20PCs);
D=total_spks_20PCs;D=diff(D);D=arrayfun(@(x) diff_20PCs(x),D);
D(~isfinite(D))=0;D=abs(D);avD=mean2(D);stdD=std2(D);
array1=[array1,avD];stdev1=[stdev1,stdD];

total_spks_25PCs = integrate_5ms(total_spks_25PCs);
E=total_spks_25PCs;E=diff(E);E=arrayfun(@(x) diff_25PCs(x),E);
E(~isfinite(E))=0;E=abs(E);avE=mean2(E);stdE=std2(E);
array1=[array1,avE];stdev1=[stdev1,stdE];

total_spks_30PCs = integrate_5ms(total_spks_30PCs);
F=total_spks_30PCs;F=diff(F);F=arrayfun(@(x) diff_30PCs(x),F);
F(~isfinite(F))=0;F=abs(F);avF=mean2(F);stdF=std2(F);
array1=[array1,avF];stdev1=[stdev1,stdF];

total_spks_35PCs = integrate_5ms(total_spks_35PCs);
G=total_spks_35PCs;G=diff(G);G=arrayfun(@(x) diff_35PCs(x),G);
G(~isfinite(G))=0;G=abs(G);avG=mean2(G);stdG=std2(G);
array1=[array1,avG];stdev1=[stdev1,stdG];

total_spks_40PCs = integrate_5ms(total_spks_40PCs);
H=total_spks_40PCs;H=diff(H);H=arrayfun(@(x) diff_40PCs(x),H);
H(~isfinite(H))=0;H=abs(H);avH=mean2(H);stdH=std2(H);
array1=[array1,avH];stdev1=[stdev1,stdH];

total_spks_45PCs = integrate_5ms(total_spks_45PCs);
I=total_spks_45PCs;I=diff(I);I=arrayfun(@(x) diff_45PCs(x),I);
I(~isfinite(I))=0;I=abs(I);avI=mean2(I);stdI=std2(I);
array1=[array1,avI];stdev1=[stdev1,stdI];

total_spks_50PCs = integrate_5ms(total_spks_50PCs);
J=total_spks_50PCs;J=diff(J);J=arrayfun(@(x) diff_50PCs(x),J);
J(~isfinite(J))=0;J=abs(J);avJ=mean2(J);stdJ=std2(J);
array1=[array1,avJ];stdev1=[stdev1,stdJ];

total_spks_55PCs = integrate_5ms(total_spks_55PCs);
K=total_spks_55PCs;K=diff(K);K=arrayfun(@(x) diff_55PCs(x),K);
K(~isfinite(K))=0;K=abs(K);avK=mean2(K);stdK=std2(K);
array1=[array1,avK];stdev1=[stdev1,stdK];

total_spks_60PCs = integrate_5ms(total_spks_60PCs);
L=total_spks_60PCs;L=diff(L);L=arrayfun(@(x) diff_60PCs(x),L);
L(~isfinite(L))=0;L=abs(L);avL=mean2(L);stdL=std2(L);
array1=[array1,avL];stdev1=[stdev1,stdL];

total_spks_65PCs = integrate_5ms(total_spks_65PCs);
M=total_spks_65PCs;M=diff(M);M=arrayfun(@(x) diff_65PCs(x),M);
M(~isfinite(M))=0;M=abs(M);avM=mean2(M);stdM=std2(M);
array1=[array1,avM];stdev1=[stdev1,stdM];

total_spks_70PCs = integrate_5ms(total_spks_70PCs);
N=total_spks_70PCs;N=diff(N);N=arrayfun(@(x) diff_70PCs(x),N);
N(~isfinite(N))=0;N=abs(N);avN=mean2(N);stdN=std2(N);
array1=[array1,avN];stdev1=[stdev1,stdN];

total_spks_75PCs = integrate_5ms(total_spks_75PCs);
O=total_spks_75PCs;O=diff(O);O=arrayfun(@(x) diff_75PCs(x),O);
O(~isfinite(O))=0;O=abs(O);avO=mean2(O);stdO=std2(O);
array1=[array1,avO];stdev1=[stdev1,stdO];

total_spks_80PCs = integrate_5ms(total_spks_80PCs);
P=total_spks_80PCs;P=diff(P);P=arrayfun(@(x) diff_80PCs(x),P);
P(~isfinite(P))=0;P=abs(P);avP=mean2(P);stdP=std2(P);
array1=[array1,avP];stdev1=[stdev1,stdP];

total_spks_90PCs = integrate_5ms(total_spks_90PCs);
Q=total_spks_90PCs;Q=diff(Q);Q=arrayfun(@(x) diff_90PCs(x),Q);
Q(~isfinite(Q))=0;Q=abs(Q);avQ=mean2(Q);stdQ=std2(Q);
array1=[array1,avQ];stdev1=[stdev1,stdQ];

total_spks_100PCs = integrate_5ms(total_spks_100PCs);
R=total_spks_100PCs;R=diff(R);R=arrayfun(@(x) diff_100PCs(x),R);
R(~isfinite(R))=0;R=abs(R);avR=mean2(R);stdR=std2(R);
array1=[array1,avR];stdev1=[stdev1,stdR];

total_spks_110PCs = integrate_5ms(total_spks_110PCs);
S=total_spks_110PCs;S=diff(S);S=arrayfun(@(x) diff_110PCs(x),S);
S(~isfinite(S))=0;S=abs(S);avS=mean2(S);stdS=std2(S);
array1=[array1,avS];stdev1=[stdev1,stdS];

total_spks_120PCs = integrate_5ms(total_spks_120PCs);
T=total_spks_120PCs;T=diff(T);T=arrayfun(@(x) diff_120PCs(x),T);
T(~isfinite(T))=0;T=abs(T);avT=mean2(T);stdT=std2(T);
array1=[array1,avT];stdev1=[stdev1,stdT];

% Plot

i=1:length(array1);
plot(i,array1)
hold on;
% errorbar(array1,stdev1,'ro')
s=patch([i fliplr(i)], [array1-stdev1  fliplr(array1+stdev1)], [1 0 0])
alpha(s,.3)
plot(i,array1,'ro','MarkerSize',2.5,'MarkerFaceColor',[.55 0 0],'MarkerEdgeColor',[.55 0 0])


%PANEL H

%Mean and std of correlations of arrays representing PC spikes received
%by a nuclear cell counted in 1 ms bins over 200 ms, with 5 PCs, 10, 
%15 and so on up to 50. Correlations are obtained by running 20 simulations
%and correlating each with all the others. This is done first without
%simulating integration by the nuclear cell (1st half of the code below), 
%then adding integration (2nd half).

% opengl software
% figure;

%NO INTEGRATION

means=[];
stds=[];

%5 PCs

i=0;
box=[];
while i<20 % 20 simulations
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array();%5 arrays of 200 1s and 0s  
    summed = (PC1+PC2+PC3+PC4+PC5);%the 1st element is the sum of the 1st elements in PC1-PC5, and so on
    box = [box; summed];%builds into a matrix of 20 rows of 200 elements
    i=i+1;
end
box=box';%the rows are converted to columns, creating a 200x20 matrix
corr=corrcoef(box);%the correlation coefficient function compares each column to all the others.*
%av=(sum(corr,'all')-i)/i........a way of obtaining the average of a matrix. 
A=reshape(corr,1,[]); A(A == 1)=[];%converts the matrix into an array and the 1s are removed (see below)
av=mean2(A); stdev=std2(A);%derive the mean and std of the coefficients

% *This creates a 20x20 matrix. At, say, position (1,4) the 1st column is
%compared to the 4th, and at position (7,3) the 7th column is compared to
%the 3rd, and so on. (Note: this creates duplication, making the matrix
%symmetrical around a diagonal of 1s, where a column is compared to
%itself.)

means=[means av];%will build into an array of mean coefficients
stds=[stds stdev];%will buildinto an array of stds

%10 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array(); 
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%15 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array(); 
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%20 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%25 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%30 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%35 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%40 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%45 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%50 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%55 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%60 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%65 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%70 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    PC66 = array(); PC67 = array(); PC68 = array(); PC69 = array(); PC70 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65+PC66+PC67+PC68+PC69+PC70);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%75 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    PC66 = array(); PC67 = array(); PC68 = array(); PC69 = array(); PC70 = array();
    PC71 = array(); PC72 = array(); PC73 = array(); PC74 = array(); PC75 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65+PC66+PC67+PC68+PC69+PC70...
        +PC71+PC72+PC73+PC74+PC75);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%80 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    PC66 = array(); PC67 = array(); PC68 = array(); PC69 = array(); PC70 = array();
    PC71 = array(); PC72 = array(); PC73 = array(); PC74 = array(); PC75 = array();
    PC76 = array(); PC77 = array(); PC78 = array(); PC79 = array(); PC80 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65+PC66+PC67+PC68+PC69+PC70...
        +PC71+PC72+PC73+PC74+PC75+PC76+PC77+PC78+PC79+PC80);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%Plot

subplot(2,2,2)%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
i=1:length(means);
plot(i,means); title('reproducibility'); xlim([1 16]);
xlabel('convergence ratio x:1'); ylabel('mean correlation coefficient');
set(gca, 'XTick', [2 4 6 8 10 12 14 16]);
set(gca, 'XTickLabel', {'10' '20' '30' '40' '50' '60' '70' '80'});
hold on;
errorbar(means,stds,'b.');
% s=patch([i fliplr(i)], [means-stds  fliplr(means+stds)], [0.6  0.7  0.8])
% alpha(s,.3)
plot(i,means,'o','MarkerSize',2.5,'MarkerFaceColor',[.6 .6 .6],'MarkerEdgeColor',[.6 .6 .6])


%INTEGRATION

means=[];
stds=[];

%5 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    summed = (PC1+PC2+PC3+PC4+PC5);
    summed = integrate_5ms(summed);%This is the only difference with the non-integration coding
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
%av5=(sum(corr,'all')-i)/i
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%10 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array(); 
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%15 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array(); 
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%20 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%25 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%30 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%35 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%40 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%45 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%50 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%55 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%60 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%65 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%70 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    PC66 = array(); PC67 = array(); PC68 = array(); PC69 = array(); PC70 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65+PC66+PC67+PC68+PC69+PC70);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%75 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    PC66 = array(); PC67 = array(); PC68 = array(); PC69 = array(); PC70 = array();
    PC71 = array(); PC72 = array(); PC73 = array(); PC74 = array(); PC75 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65+PC66+PC67+PC68+PC69+PC70...
        +PC71+PC72+PC73+PC74+PC75);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%80 PCs

i=0;
box=[];
while i<20
    PC1 = array(); PC2 = array(); PC3 = array(); PC4 = array(); PC5 = array(); 
    PC6 = array(); PC7 = array(); PC8 = array(); PC9 = array(); PC10 = array();
    PC11 = array(); PC12 = array(); PC13 = array(); PC14 = array(); PC15 = array();
    PC16 = array(); PC17 = array(); PC18 = array(); PC19 = array(); PC20 = array();
    PC21 = array(); PC22 = array(); PC23 = array(); PC24 = array(); PC25 = array();
    PC26 = array(); PC27 = array(); PC28 = array(); PC29 = array(); PC30 = array();
    PC31 = array(); PC32 = array(); PC33 = array(); PC34 = array(); PC35 = array();
    PC36 = array(); PC37 = array(); PC38 = array(); PC39 = array(); PC40 = array();
    PC41 = array(); PC42 = array(); PC43 = array(); PC44 = array(); PC45 = array();
    PC46 = array(); PC47 = array(); PC48 = array(); PC49 = array(); PC50 = array();
    PC51 = array(); PC52 = array(); PC53 = array(); PC54 = array(); PC55 = array();
    PC56 = array(); PC57 = array(); PC58 = array(); PC59 = array(); PC60 = array();
    PC61 = array(); PC62 = array(); PC63 = array(); PC64 = array(); PC65 = array();
    PC66 = array(); PC67 = array(); PC68 = array(); PC69 = array(); PC70 = array();
    PC71 = array(); PC72 = array(); PC73 = array(); PC74 = array(); PC75 = array();
    PC76 = array(); PC77 = array(); PC78 = array(); PC79 = array(); PC80 = array();
    summed = (PC1+PC2+PC3+PC4+PC5+PC6+PC7+PC8+PC9+PC10...
        +PC11+PC12+PC13+PC14+PC15+PC16+PC17+PC18+PC19+PC20...
        +PC21+PC22+PC23+PC24+PC25+PC26+PC27+PC28+PC29+PC30...
        +PC31+PC32+PC33+PC34+PC35+PC36+PC37+PC38+PC39+PC40...
        +PC41+PC42+PC43+PC44+PC45+PC46+PC47+PC48+PC49+PC50...
        +PC51+PC52+PC53+PC54+PC55+PC56+PC57+PC58+PC59+PC60...
        +PC61+PC62+PC63+PC64+PC65+PC66+PC67+PC68+PC69+PC70...
        +PC71+PC72+PC73+PC74+PC75+PC76+PC77+PC78+PC79+PC80);
    summed = integrate_5ms(summed);
    box = [box; summed];
    i=i+1;
end
box=box';
corr=corrcoef(box);
A=reshape(corr,1,[]); A(A == 1)=[];
av=mean2(A); stdev=std2(A);

means=[means av];
stds=[stds stdev];

%Plot

% subplot(1,2,1)
i=1:length(means);
plot(i,means);
hold on;
errorbar(means,stds,'r')
% s=patch([i fliplr(i)], [means-stds  fliplr(means+stds)], [1 0 0])
% alpha(s,.3)
plot(i,means,'-or','MarkerSize',2.5,'MarkerFaceColor',[.8 0 0],'MarkerEdgeColor',[.8 0 0])

