% The function receives an array of 200 elements

function combine = integrate_10ms(x)

% The function reshape(x,n,m) receives an array x and returns a matrix of
% n rows and m columns. The first column is made up of the first n elements
% of the input array, the second is made up of the second n elements, and
% so on. Then average the values in each column, generating an array with m
% elements (here 20).

makegps1 = reshape(x, [], 20);
gps1_av = mean(makegps1);

% Duplicate the first element of the original array at the end, then remove
% the first element, so that the elements are rotated by 1.

x(end+1) = x(1);
shiftby1 = x(2:end);

% Then repeat: make a matrix out of the rotated array, and average the 
% values in each column, creating a second array of 20 elements.

makegps2 = reshape(shiftby1, [], 20);
gps2_av = mean(makegps2);

% Then rotate again.

shiftby1(end+1) = shiftby1(1);
shiftby2 = shiftby1(2:end);

% Repeat.

makegps3 = reshape(shiftby2, [], 20);
gps3_av = mean(makegps3);

shiftby2(end+1) = shiftby2(1);
shiftby3 = shiftby2(2:end);

makegps4 = reshape(shiftby3, [], 20);
gps4_av = mean(makegps4);

shiftby3(end+1) = shiftby3(1);
shiftby4 = shiftby3(2:end);

makegps5 = reshape(shiftby4, [], 20);
gps5_av = mean(makegps5);

% NEW START

shiftby4(end+1) = shiftby4(1);
shiftby5 = shiftby4(2:end);

makegps6 = reshape(shiftby5, [], 20);
gps6_av = mean(makegps6);

shiftby5(end+1) = shiftby5(1);
shiftby6 = shiftby5(2:end);

makegps7 = reshape(shiftby6, [], 20);
gps7_av = mean(makegps7);

shiftby6(end+1) = shiftby6(1);
shiftby7 = shiftby6(2:end);

makegps8 = reshape(shiftby7, [], 20);
gps8_av = mean(makegps8);

shiftby7(end+1) = shiftby7(1);
shiftby8 = shiftby7(2:end);

makegps9 = reshape(shiftby8, [], 20);
gps9_av = mean(makegps9);

shiftby8(end+1) = shiftby8(1);
shiftby9 = shiftby8(2:end);

makegps10 = reshape(shiftby9, [], 20);
gps10_av = mean(makegps10);

% NEW END

% Stack the new arrays to create a 10 by 20 matrix.

combine = [gps1_av;gps2_av;gps3_av;gps4_av;gps5_av;gps6_av;gps7_av;gps8_av;gps9_av;gps10_av];

% Call the function combine() to turn the matrix into an array, such that
% the first column becomes elements 1-10, the second become elements 11-20,
% and so on

combine = combine(:)';