% The function receives an array of 200 elements

function combine = integrate_5ms(x)

% The function reshape(x,n,m) receives an array x and returns a matrix of
% n rows and m columns. The first column is made up of the first n elements
% of the input array, the second is made up of the second n elements, and
% so on. Then average the values in each column, generating an array with m
% elements (here 40).

makegps1 = reshape(x, [], 40);
gps1_av = mean(makegps1);

% Duplicate the first element of the input array at the end, then remove the
% first element, so that the elements are rotated by 1.

x(end+1) = x(1);
shiftby1 = x(2:end);

% Then make a matrix out of the rotated array, and average the values in
% each column, creating a second new array of 40 elements.

makegps2 = reshape(shiftby1, [], 40);
gps2_av = mean(makegps2);

% Then rotate again.

shiftby1(end+1) = shiftby1(1);
shiftby2 = shiftby1(2:end);

% Repeat.

makegps3 = reshape(shiftby2, [], 40);
gps3_av = mean(makegps3);

shiftby2(end+1) = shiftby2(1);
shiftby3 = shiftby2(2:end);

makegps4 = reshape(shiftby3, [], 40);
gps4_av = mean(makegps4);

shiftby3(end+1) = shiftby3(1);
shiftby4 = shiftby3(2:end);

makegps5 = reshape(shiftby4, [], 40);
gps5_av = mean(makegps5);

% Stack the new arrays to create a 5 by 40 matrix.

combine = [gps1_av;gps2_av;gps3_av;gps4_av;gps5_av];

% Call the function combine() to turn the matrix into an array, such that
% the first column becomes elements 1-5, the second become elements 6-10,
% and so on.

combine = combine(:)';